local fn = _gn(0xEAF66ACDDC794793)
--- Attaches a ped to a rope and allows player control to rappel down a wall.
-- Disables all collisions while on the rope.
-- NativeDB Introduced: v1868
-- @param ped Ped to perform the task
-- @param x1 X coord to start the task
-- @param y1 Y coord to start the task
-- @param z1 Z coord to start the task
-- @param x2 Second X coord, uses the same position as above in the scripts
-- @param y2 Second Y coord
-- @param z2 Second Z coord
-- @param minZ Minimum Z that the player can descend to
-- @param ropeId Rope to attach this task to, must be created with [ADD_ROPE](#\_0xE832D760399EB220)
-- @param clipset Clipset to use for the task
-- @param p10 Usually 1 in the scripts
function Global.TaskRappelDownWall(ped, x1, y1, z1, x2, y2, z2, minZ, ropeId, clipset, p10)
	return fn(ped, x1, y1, z1, x2, y2, z2, minZ, ropeId, _ts(clipset), p10)
end
